/*
 * Various const strings.
 *
 * This file is part of Dixit.
 * Author: Octavian Procopiuc <oprocopiuc@gmail.com>
 * Created: July 25, 2004
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You can get the GNU General Public License from
 * http://www.gnu.org/licenses/licenses.html
 */

const QString DIXIT_VERSION = "1.0";
const QString DIXIT_DB_FILE_NAME = "dixit.qdb";
const char* MONTH_NAMES[] = {
  "Ianuarie", "Februarie", "Martie", "Aprilie", 
  "Mai", "Iunie", "Iulie", "August", 
  "Septembrie", "Octombrie", "Noiembrie", "Decembrie" 
};

const int DIXIT_SOURCES_COUNT = 21; 
const char* const DIXIT_SOURCES[DIXIT_SOURCES_COUNT][3] = {
  { "",       "Orice surs\304\203", "Toate sursele" },
  { "dex98",  "DEX '98", "Dic\\tionarul explicativ al limbii rom^ane (1998)" },
  { "dex96",  "DEX '96", "Dic\\tionarul explicativ al limbii rom^ane (1996)" },
  { "dex84",  "DEX '84", "Dic\\tionarul explicativ al limbii rom^ane (1984)" },
  { "dex75",  "DEX '75", "Dic\\tionarul explicativ al limbii rom^ane (1975)" },
  { "dexs88", "DEX-S '88", "Dic\\tionarul explicativ al limbii rom^ane - Supliment (1988)" },
  { "dex",    "DEX '75-'98", "Dic\\tionarul explicativ al limbii rom^ane (1975, 1984, 1988S, 1996, 1998)" },
  { "sino",   "Sinonime", "Dic\\tionar de sinonime (2002)" },
  { "anto",   "Antonime", "Dic\\tionar de antonime (2002)" },
  { "dor",    "DOR", "Dic\\tionar ortografic al limbii rom^ane (2002)" },
  { "nodex",  "NODEX", "Noul dic\\tionar explicativ al limbii rom^ane (2002)" },
  { "der",    "DER", "Dic\\tionarul etimologic rom^an (1958-1966)" },
  { "dlra",   "DLRA", "Dic\\tionar al limbii rom^ane actuale (1998)" },
  { "dlrc",   "DLRC", "Dic\\tionarul limbii rom^ane contemporane (1980)" },
  { "dlrm",   "DLRM", "Dic\\tionarul limbii rom^ane moderne (1958)" },
  { "dmlr",   "DMLR", "Dictionnaire morphologique de la langue roumaine (1981)" },
  { "dn",     "DN", "Dic\\tionarul de neologisme (1986)" },
  { "doom",   "DOOM", "Dic\\tionar ortografic, ortoepic \\si morfologic al limbii rom^ane (1982)" },
  { "mda",    "MDA", "Micul dic\\tionar academic (2002)" },
  { "mdn",    "MDN", "Marele dic\\tionar de neologisme (2000)" },
  { "none",   "Neoficial", "Defini\\tii trimise de utilizatorii de pe www.dexonline.ro" }
};

const QString DIXIT_CMD_SOURCES = QString::fromAscii(
          "<table cellpadding=\"0\" cellspacing=\"2\" width=\"100%\">"
	  "<tr><td bgcolor=\"#eeeeee\"><b>Sursele din care au fost culese cuvintele</b></td></tr>\n"
	  "<tr><td> </td></tr><tr><td> <ul>\n"
	  "<li>[DEX '98, DEX '96, DEX-S '88, DEX '84, DEX '75] <i>Dic\\tionarul explicativ al limbii rom^ane,</i> "
	  "Academia Rom^an~a, Institutul de Lingvistic~a \"Iorgu Iordan\", Editura Univers Enciclopedic, "
	  "1975-1998.</li>"
	  "<li>[Sinonime] <i>Dic\\tionar de sinonime,</i> Luiza \\si Mircea Seche, Editura Litera Interna\\tional, 2002.</li>"
	  "<li>[Antonime] <i>Dic\\tionar de antonime,</i> Luiza \\si Mircea Seche, Editura Litera Interna\\tional, 2002.</li>"
          "<li>[DOR] <i>Dic\\tionar ortografic al limbii rom^ane,</i> Colectiv, Editura Litera Interna\\tional, 2002.</li>"
          "<li>[NODEX] <i>Noul dic\\tionar explicativ al limbii rom^ane,</i> Colectiv, Editura Litera Interna\\tional, 2002.</li>"
	  "<li>[DER] <i>Dic\\tionarul etimologic rom^an,</i> Alexandru Cior~anescu, Universidad "
	  "de la Laguna, Tenerife 1958-1966.</li>"
	  "<li>[DLRA] <i>Dic\\tionar al limbii rom^ane actuale</i> "
	  "(edi\\tia a II-a rev~azut~a \\si ad~augit~a), Zorela Cre\\ta, Lucre\\tia Mare\\s, Zizi \\Stef~anescu-Goang~a, "
	  "Flora \\Suteu, Valeriu \\Suteu. Editura Curtea Veche, 1998.</li>"
	  "<li>[DLRC] <i>Dic\\tionarul limbii rom^ane contemporane,</i> "
	  "Vasile Breban, Editura \\Stiin\\tific~a \\si Enciclopedic~a, 1980.</li>"
	  "<li>[DLRM] <i>Dic\\tionarul limbii rom^ane moderne,</i> Editura Academiei, 1958.</li>"
	  "<li>[DMLR] <i>Dictionnaire morphologique de la langue roumaine,</i> Editura Academiei, 1981.</li>"
          "<li>[DN] <i>Dic\\tionarul de neologisme,</i> Florin Marcu \\si Constant Maneca, Editura Academiei, 1986.</li>"
	  "<li>[DOOM] <i>Dic\\tionar ortografic, ortoepic \\si morfologic al limbii rom^ane,</i> Editura Academiei, 1982.</li>"
	  "<li>[MDA] <i>Micul dic\\tionar academic,</i> Academia Rom^an~a, Institutul de Lingvistic~a "
	  "\"Iorgu Iordan\", Editura Univers Enciclopedic, 2002.</li>"
	  "<li>[MDN] <i>Marele dic\\tionar de neologisme,</i> Florin Marcu, Editura Saeculum, 2000.</li>"
	  "<li>[Neoficial] Cuvinte sau defini\\tii trimise de utilizatorii de pe www.dexonline.ro "
	  "\\si care nu sunt ^in dic\\tionarele de mai sus.</li>"
	  "</ul> Pentru mai multe informa\\tii, vizita\\ti pagina proiectului <i>DEX online:</i> <b>www.dexonline.ro</b>"
	  "</td></tr></table>"
);

const QString DIXIT_CMD_LICENSE = QString::fromUtf8(
          "<table cellpadding=\"0\" cellspacing=\"2\" width=\"100%\">"
	  "<tr><td bgcolor=\"#eeeeee\"><b>Licen\\t~a</b></td></tr>\n"
	  "<tr><td><p><b>Dixit</b> Copyright \302\251 2004 Octavian Procopiuc &lt;oprocopiuc@gmail.com&gt;<br>"
	  "Acest program este liber; ^il pute\\ti redistribui \\si/sau modifica ^in "
	  "conformitate cu termenii Licen\\tei Publice Generale GNU (GPL) a\\sa cum "
	  "este publicat~a de Free Software Foundation; fie versiunea 2 a "
	  "Licen\\tei, fie (la latitudinea dumneavoastr~a) orice versiune ulterioar~a. "
	  "Acest program este distribuit cu speran\\ta c~a va fi util, dar F~AR~A "
	  "NICI O GARAN\\TIE, f~ar~a garan\\tie implicit~a de vandabilitate \\si "
	  "conformitate unui anumit scop.  Citi\\ti Licen\\ta Public~a General~a "
	  "GNU pentru detalii. "
	  "O copie a licen\\tei GPL ^in limba englez~a poate fi ob\\tinut~a de pe pagina "
	  "proiectului GNU:</p><p align=\"center\">www.gnu.org/copyleft/gpl.html</p><p>O traducere neoficial~a ^in limba rom^an~a "
	  "poate fi ob\\tinut~a de aici: www.roedu.net/gplro.html</p>"
	  "<p><b>Lista de defini\\tii</b> Copyright \302\251 2004 DEX Online <b>www.dexonline.ro</b> "
	  "(coordonator: C~at~alin Fr^ancu &lt;cata@francu.com&gt;). &nbsp;"
	  "Ave\\ti permisiunea de a copia, de a redistribui \\si de a modifica defini\\tiile din "
	  "<i>DEX online</i> conform prevederilor din Licen\\ta GNU pentru Documenta\\tie Liber~a, "
	  "versiunea 1.2 sau orice versiune mai nou~a publicat~a de Free Software Foundation; f~ar~a Sec\\tiuni Invariabile, "
	  "f~ar~a Copert~a Fa\\t~a sau Copert~a Spate. O copie a licen\\tei o pute\\ti g~asi pe aceast~a pagin~a a Proiectului GNU: "
	  "</p><p align=\"center\">www.gnu.org/copyleft/fdl.html</p> "
	  "<p>O traducere neoficial~a ^in limba rom^an~a a licen\\tei o pute\\ti g~asi ^in acest articol din Wikipedia: "
	  "ro.wikipedia.org/wiki/GNU_FDL"
	  "</p></td></tr></table>"
);

const QString DIXIT_CMD_DIXIT = QString::fromAscii(
          "<table cellpadding=\"0\" cellspacing=\"2\" width=\"100%\">"
	  "<tr><td bgcolor=\"#eeeeee\"><b>Ipse Dixit</b></td></tr><tr><td>"
	  "<p>&nbsp;</p><p align=\"center\"><font size=+1><i>\"Ipse Dixit. Ipse autem erat Pythagoras.\"</i><br>"
	  "\"El ^insu\\si a spus, \\si El era Pitagora.\"</font></p>"
	  "<p align=\"right\"><b>Cicero:</b> <i>De Natura Deorum.</i> Cartea I, cap. 10.</p>"
	  "<p>&nbsp;</p><p><i>Ipse dixit</i> este o zical~a latin~a prin care se atrage "
	  "aten\\tia c~a o afirma\\tie "
	  "provine dintr-o surs~a cu autoritate. A\\s vrea ca acest program s~a fie ^in ton "
	  "cu zicala, dar p^an~a una alta, s~a zicem c~a Dixit este un acronim pentru "
	  "'<b>Di</b>c\\tionar E<b>x</b>plicativ <b>I</b>ntegra<b>t</b>'.</p>"
	  "<p align=\"right\">Octavian Procopiuc</p></td></tr></table>"
);

const QString DIXIT_CMD_UNKNOWN = QString::fromAscii(
          "<table cellpadding=\"0\" cellspacing=\"2\" width=\"100%\">"
	  "<tr><td bgcolor=\"#eeeeee\"><b>Nu am ^in\\teles comanda</b></td></tr><tr><td>"
	  "Ap~asa\\ti <u><a href=\"!instructiuni\">aici</a></u> pentru a vizita "
	  "pagina de instruc\\tiuni.</td></tr></table>"
);

const QString DIXIT_CMD_HELP_MAIN = QString::fromAscii(
          "Pentru a c~auta defini\\tia unui cuv^ant, tasta\\ti-l ^in cutia de deasupra \\si ap~asa\\ti <i>Enter.</i>"
	  " Pute\\ti c~auta mai multe defini\\tii simultan, folosind caracterele speciale \"<b>?</b>\" "
	  "(care corespunde oric~arei litere) \\si \"<b>*</b>\" "
	  " (care corespunde oric~arei secven\\te de litere, inclusiv secven\\ta vid~a). De exemplu, "
	  "c~autarea \"<u><a href=\"c?z*\">c?z*</a></u>\" va returna defini\\tiile "
	  "cuvintelor CAZ, CAZAN, CIZMAR etc. C~autarea \"<u><a href=\"*estru\">*estru</a></u>\" "
	  " va returna defini\\tiile cuvintelor care se termin~a ^in \"estru\". "
	  "Dup~a fiecare defini\\tie sunt specificate: utilizatorul "
	  "de pe www.dexonline.ro care a introdus defini\\tia, data ultimei "
	  "actualiz~ari \\si sursa defini\\tiei, "
	  " dac~a este  culeas~a dintr-un dic\\tionar tip~arit.<br><br> "
	  "Cutia din dreapta con\\tine o istorie a c~aut~arilor efectuate."
	  " Pute\\ti relua o c~autare select^and-o din list~a.<br>"
);

const QString DIXIT_CMD_HELP_KEYS = QString::fromAscii(
	  "<br>Dixit recunoa\\ste urm~atoarele comenzi de la tastatur~a:"
	  "<ul><li>[Alt <small>+</small> C] activeaz~a cutia de c~autare;</li>"
	  "<li>[Alt <small>+</small> I] afi\\seaz~a pagina de informa\\tii despre dixit;</li>"
	  "<li>[Alt <small>+</small> S~ageat~a st^anga] afi\\seaz~a pagina anterioar~a din istorie;</li>"
	  "<li>[Alt <small>+</small> S~ageat~a dreapta] afi\\seaz~a pagina urm~atoare din istorie;</li>"
	  "<li>[Alt <small>+</small> A] actualizeaz~a lista de defini\\tii (necesit~a leg~atur~a la Internet);</li>"
	  "<li>[Alt <small>+</small> Q] p~ar~ase\\ste programul <i>(Quit);</i></li> "
	  "<li>[Alt <small>+</small> +] m~are\\ste caracterele (dac~a nu merge, ^incerca\\ti \\si [Alt <small>+</small> =]);</li> "
	  "<li>[Alt <small>+</small> -] mic\\soreaz~a caracterele;</li> "
	  "<li>[Alt <small>+</small> P] trimite pagina curent~a la imprimant~a <i>(Print).</i></li> "
          "<li>[Alt <small>+</small> F] schimb~a tipul de caractere <i>(Font).</i></li> "
	  "</ul>"
);

// The user agent string sent to the server. For statistics only.
#if defined(Q_OS_WIN)
const QString DIXIT_USER_AGENT = "Dixit/%1 (Windows)";
#elif defined(Q_OS_UNIX)
#  if defined(Q_OS_LINUX)
const QString DIXIT_USER_AGENT = "Dixit/%1 (Linux)";
#  elif defined(Q_OS_MACX)
const QString DIXIT_USER_AGENT = "Dixit/%1 (OSX)";
#  elif defined(Q_OS_FREEBSD)
const QString DIXIT_USER_AGENT = "Dixit/%1 (FreeBSD)";
#  elif defined(Q_OS_NETBSD)
const QString DIXIT_USER_AGENT = "Dixit/%1 (NetBSD)";
#  elif defined(Q_OS_OPENBSD)
const QString DIXIT_USER_AGENT = "Dixit/%1 (OpenBSD)";
#  elif defined(Q_OS_IRIX)
const QString DIXIT_USER_AGENT = "Dixit/%1 (IRIX)";
#  elif defined(Q_OS_SOLARIS)
const QString DIXIT_USER_AGENT = "Dixit/%1 (Solaris)";
#  else
const QString DIXIT_USER_AGENT = "Dixit/%1 (UNIX)";
#  endif
#else
const QString DIXIT_USER_AGENT = "Dixit/%1";
#endif
